<?php

	
	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header1.php';
	$pl=$_GET['p'];
	$q = mysql_query("SELECT * FROM `planet` WHERE `id`='".check(mysql_real_escape_string($pl))."'");
	$f = mysql_fetch_array($q);
	$n = mysql_query("SELECT * FROM `building` WHERE `planet_id`='".check(mysql_real_escape_string($f['id']))."'");
	$b = mysql_fetch_array($n);
	$p = mysql_query("SELECT * FROM `science` WHERE `planet_id`='".check(mysql_real_escape_string($f['id']))."'");
	$s = mysql_fetch_array($p);
	if($game==0 OR $level==0 OR $rasa!=2 OR $f['uid']!=$use_id OR $b['b3']==0 OR $ban!=0){
   		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';
   }else{
   echo '<div class="top"><a href="../game/planet.php?act=pl&amp;p='.$f['id'].'">Планета '.$f['name'].'</a> | Кибернетическое ядро</div>';
	   		switch ($act) {
			default:
	if($lvl_hero>=15){echo '<div class="conts"><img src="../images/vost.jpg" alt="image" /> Восстановление запасов ['.$s['s1'].']<br/>';
	if($s['s1']<10){echo '<a href="?act=up&amp;i=1&amp;p='.$f['id'].'">Исследовать '. ($s['s1']+1) .' уровень</a>';}else{echo 'Исследование завершено';}
	echo '</div>';}
	if($lvl_hero>=8){echo '<div class="conts"><img src="../images/min.gif" alt="image" /> Добыча минералов ['.$s['s2'].']<br/>';
	if($s['s2']<10){echo '<a href="?act=up&amp;i=2&amp;p='.$f['id'].'">Исследовать '. ($s['s2']+1) .' уровень</a>';}else{echo 'Исследование завершено';}
	echo '</div>';}
	if($lvl_hero>=8){echo '<div class="conts"><img src="../images/gas.gif" alt="image" /> Добыча газа Веспен ['.$s['s3'].']<br/>';
	if($s['s3']<10){echo '<a href="?act=up&amp;i=3&amp;p='.$f['id'].'">Исследовать '. ($s['s3']+1) .' уровень</a>';}else{echo 'Исследование завершено';}
	echo '</div>';}
	if($lvl_hero>=8){echo '<div class="conts"><img src="../images/metall.gif" alt="image" /> Добыча металлов ['.$s['s4'].']<br/>';
	if($s['s4']<10){echo '<a href="?act=up&amp;i=4&amp;p='.$f['id'].'">Исследовать '. ($s['s4']+1) .' уровень</a>';}else{echo 'Исследование завершено';}
	echo '</div>';}
	if($lvl_hero>=9){echo '<div class="conts"><img src="../images/water.png" alt="image" /> Добыча воды ['.$s['s5'].']<br/>';
	if($s['s5']<10){echo '<a href="?act=up&amp;i=5&amp;p='.$f['id'].'">Исследовать '. ($s['s5']+1) .' уровень</a>';}else{echo 'Исследование завершено';}
	echo '</div>';}
	if($lvl_hero>=7){echo '<div class="conts"><img src="../images/kred.png" alt="image" /> Добыча кредитов ['.$s['s6'].']<br/>';
	if($s['s6']<10){echo '<a href="?act=up&amp;i=6&amp;p='.$f['id'].'">Исследовать '. ($s['s6']+1) .' уровень</a>';}else{echo 'Исследование завершено';}
	echo '</div>';}
	if($lvl_hero>=7){echo '<div class="conts"><img src="../images/prov.png" alt="image" /> Добыча провизии ['.$s['s7'].']<br/>';
	if($s['s7']<10){echo '<a href="?act=up&amp;i=7&amp;p='.$f['id'].'">Исследовать '. ($s['s7']+1) .' уровень</a>';}else{echo 'Исследование завершено';}
	echo '</div>';}
	break;
	case 'up':
	$isl=$_GET['i'];
	$ok=$_GET['ok'];
	if($isl==1){$uup=$s['s1']; $h=15;}
	if($isl==2){$uup=$s['s2']; $h=8;}
	if($isl==3){$uup=$s['s3']; $h=8;}
	if($isl==4){$uup=$s['s4']; $h=8;}
	if($isl==5){$uup=$s['s5']; $h=9;}
	if($isl==6){$uup=$s['s6']; $h=7;}
	if($isl==7){$uup=$s['s7']; $h=7;}
	if($uup<10){
	$islok = mysql_result(mysql_query("SELECT COUNT(*) FROM `rabota` WHERE `uid`='".$use_id."' AND `typerab`=4 AND `type`='" . check(mysql_real_escape_string($isl)) . "' AND `planet`='".$f['id']."';"), 0);
	$mn=$uup*500;
	$gs=$uup*750;
	$met=$uup*500;
	$kd=$uup*2000;
	$utime1=$uup*3600;
	$timerab=$realtime+$utime1;
	echo '<div class="cont">Исследование: '.science($isl).'</div>';
	if($ok!=1){
	echo '<div class="conts">Стоимость исследования:<br/>';
	echo '<img src="../images/min.gif" alt="image" /> Минералы: '.$mn.' ('.$min.')<br/>';
	echo '<img src="../images/metall.gif" alt="image" /> Металлы: '.$met.' ('.$metall.')<br/>';
	echo '<img src="../images/gas.gif" alt="image" /> Газ Веспен: '.$gs.' ('.$gas.')<br/>';
	echo '<img src="../images/kred.png" alt="image" /> Кредиты: '.$kd.' ('.$kred.')<br/>';
	if($islok!=0)echo 'Исследование уже ведется<br/>';
	if($islok==0)echo '<img src="../images/time.gif" alt="image" /> Время на исследование: '.($utime1/60).' минут<br/>';
	if($gas>=$gs AND $min>=$mn AND $kred>=$kd AND $metall>=$met AND $islok==0 AND $lvl_hero>=$h)echo '<a href="?act=up&amp;p='.$f['id'].'&amp;ok=1&amp;i='.$isl.'">Начать исследование</a><br/>';
	}else{
	if($gas>=$gs AND $min>=$mn AND $kred>=$kd AND $metall>=$met AND $islok==0 AND $lvl_hero>=$h){
	mysql_query("UPDATE `users` SET
						`kred`=kred-$kd,
						`gas`=gas-$gs,
						`metall`=metall-$met,
						`min`=min-$mn WHERE `id` = '$use_id';");
		mysql_query("INSERT INTO `rabota` SET
			`uid`='".$use_id."',
			`planet`='".$f['id']."',
			`name_planet`='".$f['name']."',
			`rasa`='".$rasa."',
			`type`='" . check(mysql_real_escape_string($isl)) . "',
			`typerab`=4,
			`number`='" . check(mysql_real_escape_string($uup+1)) . "',
			`time`=$timerab;");
	echo '<div class="conts">Исследование начато!<br/>';}
	}
	echo '<a href="core.php?p='.$f['id'].'"><<Назад</a></div>';}
	break;	
	}
}
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer.php';
?>